%global gemname hammer_cli
%global confdir hammer

%if 0%{?rhel} < 7
%global gem_dir /usr/lib/ruby/gems/1.8
%endif

%global geminstdir %{gem_dir}/gems/%{gemname}-%{version}

Summary: Universal command-line interface for Foreman
Name: rubygem-%{gemname}
Version: 0.1.1
Release: 12%{?dist}
Group: Development/Languages
License: GPLv3
URL: http://github.com/theforeman/hammer-cli
Source0: %{gemname}-%{version}.gem
Source1: cli_config.yml

%if !(0%{?rhel} > 6 || 0%{?fedora} > 18)
Requires: ruby(abi)
%endif

# on ruby 1.8.x
Requires: ruby(rubygems)
Requires: rubygem(clamp)
Requires: rubygem(rest-client)
Requires: rubygem(logging)
Requires: rubygem(awesome_print)
Requires: rubygem(table_print) >= 1.5.0
Requires: rubygem(highline)
Requires: rubygem(fast_gettext)
Requires: rubygem(locale) <= 2.0.9
Requires: rubygem(json)
Requires: rubygem(fastercsv)
Requires: rubygem(mime-types) < 2.0.0
Requires: rubygem(apipie-bindings) >= 0.0.8
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires: rubygems-devel
%endif
%if !(0%{?rhel} > 6 || 0%{?fedora} > 18)
BuildRequires: ruby(abi)
%endif
BuildRequires: ruby(rubygems)
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Hammer cli provides universal extendable CLI interface for ruby apps


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{_bindir}
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
mv %{buildroot}%{geminstdir}/hammer_cli_complete %{buildroot}%{_sysconfdir}/bash_completion.d/%{gemname}

mkdir -p %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{confdir}/cli_config.yml
rm -r %{buildroot}%{geminstdir}/config


%files
%dir %{geminstdir}
%{_bindir}/hammer
%{_sysconfdir}/bash_completion.d/%{gemname}
%{_sysconfdir}/%{confdir}/cli.modules.d
%{_sysconfdir}/%{confdir}/cli_config.yml
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/locale
%{geminstdir}/LICENSE
%exclude %{gem_dir}/cache/%{gemname}-%{version}.gem
%{gem_dir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{geminstdir}/test
%doc %{gem_dir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/doc
%doc %{geminstdir}/README.md

%changelog
* Wed Aug 20 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-12
- Fixes #7144 - add/remove content-hosts fails (dtsang@redhat.com)

* Tue Jul 29 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-11
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI
  (martin.bacovsky@gmail.com)
- Fixed dependency on simplecov (martin.bacovsky@gmail.com)
- Refs #6343 - parameters are not wrapped (martin.bacovsky@gmail.com)

* Mon Jul 14 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-10
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Fixes #6534 - rest-client dropped support for Ruby 1.8
  (martin.bacovsky@gmail.com)
- Fixes #6534 - rest-client > 1.7 does not support ruby 1.8
  (tstrachota@redhat.com)

* Mon Jul 14 2014 Jason Montleon <jmontleo@redhat.com>
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Fixes #6534 - rest-client dropped support for Ruby 1.8
  (martin.bacovsky@gmail.com)
- Fixes #6534 - rest-client > 1.7 does not support ruby 1.8
  (tstrachota@redhat.com)

* Tue Jul 08 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-8
- add rel-eng rpm spec and yml files (jmontleo@redhat.com)
- Merge pull request #121 from domcleal/6148-shell-eof-exit
  (tstrachota@redhat.com)
- Merge pull request #120 from domcleal/6219-server-password
  (tstrachota@redhat.com)
- Merge pull request #118 from adamruzicka/list_enum_normalizer
  (martin.bacovsky@gmail.com)
- fixes #6148 - exit cleanly when EOF/ctrl+d given in shell (dcleal@redhat.com)
- refs #6219 - fix incorrect --server help text (dcleal@redhat.com)
- Fixed wrong config file path in installation docs (tstrachota@redhat.com)
- Merge pull request #119 from mbacovsky/6238_csv_no_data_fail
  (martin.bacovsky@gmail.com)
- Fixes #6238 - empty list in csv adapter does not work
  (martin.bacovsky@gmail.com)
- Merge pull request #116 from tstrachota/aliases (tstrachota@redhat.com)
- Refs #6092 - resource name mapping (tstrachota@redhat.com)
- Tests for EnumList normalizer, fixed missing quotes in description
  (aruzicka@redhat.com)
- ListEnum normalizer (aruzicka@redhat.com)
- fixes #6219 - add --server cli option (thomasmckay@redhat.com)
- Fixes #5111 - CSV handles collection or container (dtsang@redhat.com)
- Refs #5747 - build_options configurable with block (tstrachota@redhat.com)

* Tue Jul 08 2014 Jason Montleon <jmontleo@redhat.com>
- add rel-eng rpm spec and yml files (jmontleo@redhat.com)
- Merge pull request #121 from domcleal/6148-shell-eof-exit
  (tstrachota@redhat.com)
- Merge pull request #120 from domcleal/6219-server-password
  (tstrachota@redhat.com)
- Merge pull request #118 from adamruzicka/list_enum_normalizer
  (martin.bacovsky@gmail.com)
- fixes #6148 - exit cleanly when EOF/ctrl+d given in shell (dcleal@redhat.com)
- refs #6219 - fix incorrect --server help text (dcleal@redhat.com)
- Fixed wrong config file path in installation docs (tstrachota@redhat.com)
- Merge pull request #119 from mbacovsky/6238_csv_no_data_fail
  (martin.bacovsky@gmail.com)
- Fixes #6238 - empty list in csv adapter does not work
  (martin.bacovsky@gmail.com)
- Merge pull request #116 from tstrachota/aliases (tstrachota@redhat.com)
- Refs #6092 - resource name mapping (tstrachota@redhat.com)
- Tests for EnumList normalizer, fixed missing quotes in description
  (aruzicka@redhat.com)
- ListEnum normalizer (aruzicka@redhat.com)
- fixes #6219 - add --server cli option (thomasmckay@redhat.com)
- Fixes #5111 - CSV handles collection or container (dtsang@redhat.com)
- Refs #5747 - build_options configurable with block (tstrachota@redhat.com)

* Tue Jul 08 2014 Jason Montleon <jmontleo@redhat.com>
- add rel-eng rpm spec and yml files (jmontleo@redhat.com)
- Merge pull request #121 from domcleal/6148-shell-eof-exit
  (tstrachota@redhat.com)
- Merge pull request #120 from domcleal/6219-server-password
  (tstrachota@redhat.com)
- Merge pull request #118 from adamruzicka/list_enum_normalizer
  (martin.bacovsky@gmail.com)
- fixes #6148 - exit cleanly when EOF/ctrl+d given in shell (dcleal@redhat.com)
- refs #6219 - fix incorrect --server help text (dcleal@redhat.com)
- Fixed wrong config file path in installation docs (tstrachota@redhat.com)
- Merge pull request #119 from mbacovsky/6238_csv_no_data_fail
  (martin.bacovsky@gmail.com)
- Fixes #6238 - empty list in csv adapter does not work
  (martin.bacovsky@gmail.com)
- Merge pull request #116 from tstrachota/aliases (tstrachota@redhat.com)
- Refs #6092 - resource name mapping (tstrachota@redhat.com)
- Tests for EnumList normalizer, fixed missing quotes in description
  (aruzicka@redhat.com)
- ListEnum normalizer (aruzicka@redhat.com)
- fixes #6219 - add --server cli option (thomasmckay@redhat.com)
- Fixes #5111 - CSV handles collection or container (dtsang@redhat.com)
- Refs #5747 - build_options configurable with block (tstrachota@redhat.com)

* Wed Jun 18 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-5
- Fixes #6238 - empty list in csv adapter does not work
  (martin.bacovsky@gmail.com)

* Wed Jun 11 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-4
- Fixes #5111 - CSV handles collection or container (dtsang@redhat.com)

* Thu Jun 05 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-3
- Refs #5747 - build_options configurable with block (tstrachota@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-2
- update dependencies in rpm spec for 0.1.1 (jmontleo@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.1.1-1
- update version to 0.1.1 (jmontleo@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-14
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #113 from domcleal/5793-release
  (martin.bacovsky@gmail.com)
- refs #5793 - add pkg:generate_source task to generate gem (dcleal@redhat.com)
- Merge pull request #114 from tstrachota/release_notes
  (martin.bacovsky@gmail.com)
- release notes (tstrachota@redhat.com)
- Bump to 0.1.1 (martin.bacovsky@gmail.com)
- Fixes #5822 - Wrong width of table columns with formatters
  (martin.bacovsky@gmail.com)
- Refs #3102 - listing associated resources (tstrachota@redhat.com)
- Merge pull request #110 from tstrachota/clamp_translations_2
  (tstrachota@redhat.com)
- Refs #4475 - messages for clamp translated (tstrachota@redhat.com)

* Sat May 17 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-13
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #107 from bbuckingham/issue-5605
  (martin.bacovsky@gmail.com)
- fixes #5605 - ignore cases where output record is null
  (bbuckingham@redhat.com)
- Fixes #5656 : Latest Strings were extracted (bkearney@redhat.com)

* Tue May 06 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-12
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- removed log_api_calls setting (tstrachota@redhat.com)
- Refs #4311 - fixes and additional tests (tstrachota@redhat.com)
- String#format fixed to behave consistently with %% (tstrachota@redhat.com)
- Refs #4311 - updated documentation (tstrachota@redhat.com)
- Refs #4311 - read and write commands merged (tstrachota@redhat.com)
- Refs #4311 - option builders (tstrachota@redhat.com)

* Fri May 02 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-11
- adjust macros to work with RHEL 7 (jmontleo@redhat.com)

* Fri May 02 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-10
- adjust BuildRequire macros to work with RHEL 7 (jmontleo@redhat.com)

* Fri May 02 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-9
- rebuild for RHEL7 as well (jmontleo@redhat.com)

* Wed Apr 30 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-8
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Updated documentation (tstrachota@redhat.com)

* Thu Apr 17 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-7
- remove git README file (jmontleo@redhat.com)

* Thu Apr 17 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-6
- Merge pull request #102 from mmoll/docfixes (tstrachota@redhat.com)
- Fixes #5025 - Add support for boolean fields (inecas@redhat.com)
- fix typos and wordings (kvedulv@kvedulv.de)

* Mon Mar 31 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-5
- Merge remote-tracking branch 'upstream/master' (jmontleo@redhat.com)
- Fixes #4916 - skip missing translation domains (tstrachota@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-4
- add new cli_config.yml (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com> 0.1.0-3
- update rpm spec file to match upstream (jmontleo@redhat.com)

* Wed Mar 26 2014 Martin BaÄovskÃ½ <martin.bacovsky@gmail.com> 0.1.0-1
- Bump to 0.1.0 (martin.bacovsky@gmail.com)
- hammer_cli - new config location and dependencies (tstrachota@redhat.com)

* Wed Jan 29 2014 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.18-1
- Bump to 0.0.18 (mbacovsk@redhat.com)

* Thu Jan 23 2014 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.16-1
- Bump to 0.0.16 (mbacovsk@redhat.com)

* Tue Jan 21 2014 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.15-1
- Bump to 0.0.15 (mbacovsk@redhat.com)

* Tue Jan 07 2014 Dominic Cleal <dcleal@redhat.com> 0.0.14-2
- Require fastercsv and mime-types on Fedora to avoid gemspec conflict
  (dcleal@redhat.com)

* Thu Dec 19 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.14-1
- Bump to 0.0.14 (mbacovsk@redhat.com)

* Wed Dec 18 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.13-1
- Bump to 0.0.13 (mbacovsk@redhat.com)

* Thu Dec 05 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.12-1
- Bump to 0.0.12 (mbacovsk@redhat.com)

* Tue Nov 26 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.11-1
- Bump to 0.0.11 (mbacovsk@redhat.com)

* Fri Nov 08 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.9-1
- Bumped to 0.0.9 (mbacovsk@redhat.com)

* Tue Oct 29 2013 Tomas Strachota <tstrachota@redhat.com> 0.0.8-1
- Update to Hammer CLI Foreman 0.0.8

* Wed Oct 09 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.7-1
- Bumped to 0.0.7 (mbacovsk@redhat.com)
- fixed error handling while loading hammer modules

* Tue Oct 08 2013 Martin BaÄovskÃ½ <mbacovsk@redhat.com> 0.0.6-2
- Added depenedency on fastercsv on ruby 1.8 (mbacovsk@redhat.com)

* Tue Oct 08 2013 Tomas Strachota <tstrachota@redhat.com> 0.0.6-1
- fixes #3184 - update hammer dependencies

* Thu Sep 26 2013 Sam Kottler <shk@redhat.com> 0.0.5-1
- Cherry pick hammer_cli version bump (shk@redhat.com)

* Tue Aug 27 2013 Dominic Cleal <dcleal@redhat.com> 0.0.3-4
- Install bash completion extension (dcleal@redhat.com)

* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.0.3-3
- Fix typo in macro (shk@redhat.com)
- Use macros provided by rubygems-devel on Fedora (shk@redhat.com)

* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.0.3-2
- Add configuration example to packaged files (shk@redhat.com)
- Fix readme path (shk@redhat.com)
- Add docs and other files that are new in the 0.0.3 release (shk@redhat.com)
- Add docs and other files that are new in the 0.0.3 release (shk@redhat.com)
- Bump hammer_cli version to 0.0.3 (shk@redhat.com)

* Thu Aug 15 2013 Sam Kottler <shk@redhat.com> 0.0.2-15
- Remove SCL conditional (shk@redhat.com)

* Thu Aug 15 2013 Sam Kottler <shk@redhat.com> 0.0.2-14
- Add multi_json dependency to hammer and fix gem_dir (shk@redhat.com)
- Fix changelog (shk@redhat.com)

* Tue Aug 13 2013 Sam Kottler <shk@redhat.com> 0.0.2-13
- Add logging requirement (shk@redhat.com)

* Tue Aug 13 2013 Sam Kottler <shk@redhat.com> 0.0.2-10
- Rebuilding on RHEL

* Mon Aug 12 2013 Sam Kottler <shk@redhat.com> 0.0.2-9
- Bump version

* Mon Aug 12 2013 Sam Kottler <shk@redhat.com> 0.0.2-8
- Bump hammer version (shk@redhat.com)

* Tue Aug 06 2013 Sam Kottler <shk@redhat.com> 0.0.1-7
- Add a missing %% (shk@redhat.com)
- Remove ruby(abi) for f19 (shk@redhat.com)

* Tue Aug 06 2013 Sam Kottler <shk@redhat.com> 0.0.1-6
- Fix bindir (shk@redhat.com)

* Tue Aug 06 2013 Sam Kottler <shk@redhat.com> 0.0.1-5
- Don't require ruby-abi on F19+ (shk@redhat.com)

* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.0.1-4
- Rebuild

* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.0.1-3
- Removed abi version for hammer_cli deps (shk@redhat.com)

* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.0.1-2
- Initial package with tito
* Wed Jul 31 2013  <shk@redhat.com> - 0.0.1-1
- Initial package

